GDB (xrefs)

Public Attributes | List of all members
dwo_file Struct Reference

## Public Attributes
const char * | dwo_name
const char * | comp_dir
bfd * | dbfd
struct dwo_sections | sections
htab_t | cus
htab_t | tus

## Detailed Description

Definition at line 1031 of file dwarf2read.c.

## Member Data Documentation

## ◆ comp_dir

const char* dwo_file::comp_dir

Definition at line 1040 of file dwarf2read.c.

Referenced by create_dwo_unit_in_dwp_v1(), create_dwo_unit_in_dwp_v2(), eq_dwo_file(), hash_dwo_file(), init_tu_and_read_dwo_dies(), lookup_dwo_file_slot(), and open_and_init_dwo_file().

## ◆ cus

htab_t dwo_file::cus

Definition at line 1055 of file dwarf2read.c.

Referenced by lookup_dwo_cutu(), and open_and_init_dwo_file().

## ◆ dbfd

bfd* dwo_file::dbfd

Definition at line 1044 of file dwarf2read.c.

Referenced by free_dwo_file(), and open_and_init_dwo_file().

## ◆ dwo_name

const char* dwo_file::dwo_name

Definition at line 1037 of file dwarf2read.c.

Referenced by create_dwo_cu_reader(), create_dwo_unit_in_dwp_v1(), create_dwo_unit_in_dwp_v2(), eq_dwo_file(), hash_dwo_file(), lookup_dwo_file_slot(), and open_and_init_dwo_file().

## ◆ sections

struct dwo_sections dwo_file::sections

Definition at line 1049 of file dwarf2read.c.

Referenced by create_debug_type_hash_table(), create_dwo_unit_in_dwp_v1(), create_dwo_unit_in_dwp_v2(), free_dwo_file(), init_cutu_and_read_dies_no_follow(), open_and_init_dwo_file(), read_cutu_die_from_dwo(), and read_str_index().

## ◆ tus

htab_t dwo_file::tus

Definition at line 1059 of file dwarf2read.c.

Referenced by lookup_dwo_cutu(), lookup_dwo_signatured_type(), open_and_init_dwo_file(), process_dwo_file_for_skeletonless_type_units(), and queue_and_load_all_dwo_tus().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2read.c